package com.solution.system.service;

import java.util.List;
import com.solution.system.domain.Behaviortree;

/**
 * 行为树主Service接口
 * 
 * @author ruoyi
 * @date 2026-02-05
 */
public interface IBehaviortreeService 
{
    /**
     * 查询行为树主
     * 
     * @param id 行为树主主键
     * @return 行为树主
     */
    public Behaviortree selectBehaviortreeById(Long id);

    /**
     * 查询行为树主列表
     * 
     * @param behaviortree 行为树主
     * @return 行为树主集合
     */
    public List<Behaviortree> selectBehaviortreeList(Behaviortree behaviortree);

    /**
     * 新增行为树主
     * 
     * @param behaviortree 行为树主
     * @return 结果
     */
    public int insertBehaviortree(Behaviortree behaviortree);

    /**
     * 修改行为树主
     * 
     * @param behaviortree 行为树主
     * @return 结果
     */
    public int updateBehaviortree(Behaviortree behaviortree);

    /**
     * 批量删除行为树主
     * 
     * @param ids 需要删除的行为树主主键集合
     * @return 结果
     */
    public int deleteBehaviortreeByIds(Long[] ids);

    /**
     * 删除行为树主信息
     * 
     * @param id 行为树主主键
     * @return 结果
     */
    public int deleteBehaviortreeById(Long id);
}
